std::bad_alloc(3)

NAME
std::bad_alloc - Exception possibly thrown by new.

SYNOPSIS

#include <new>

Inherits std::exception.

Inherited by std::bad_array_new_length.

  Public Member Functions
bad_alloc (const bad_alloc &)=default
bad_alloc & operator= (const bad_alloc &)=default
virtual const char * what () const throw ()

Detailed Description

Exception possibly thrown by new. bad_alloc (or classes derived from it) is used to report allocation errors from the throwing forms of new.

Member Function Documentation

  virtual const char * std::bad_alloc::what () const [virtual]
Returns a C-style character string describing the general cause of the current error.

Reimplemented from std::exception.

Author

Generated automatically by Doxygen for libstdc++ from the source code.